This endpoint returns media information corresponding to a retrieval ID. Retrieval IDs are associated to prior media retrieval requests. Urls provided by this endpoint expire in 8 hours.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Media Retrieval under the Safety & Cameras category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/cameras/media/retrieval \
--header 'Authorization: Bearer <token>'{
"data": {
"media": [
{
"endTime": "2019-06-13T19:08:25Z",
"input": "dashcamDriverFacing",
"mediaType": "image",
"startTime": "2019-06-13T19:08:25Z",
"status": "available",
"vehicleId": "1234",
"availableAtTime": "2019-11-11T14:00:12-04:00",
"cameraRole": "leftMirrorMount",
"urlInfo": {
"url": "https://sample.s3.url.com/image.jpeg",
"urlExpiryTime": "2019-11-11T14:00:12-04:00"
}
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Retrieval ID associated with this media capture request. Examples: 2308cec4-82e0-46f1-8b3c-a3592e5cc21e
OK response.
Show child attributes
curl --request GET \
--url https://api.samsara.com/cameras/media/retrieval \
--header 'Authorization: Bearer <token>'{
"data": {
"media": [
{
"endTime": "2019-06-13T19:08:25Z",
"input": "dashcamDriverFacing",
"mediaType": "image",
"startTime": "2019-06-13T19:08:25Z",
"status": "available",
"vehicleId": "1234",
"availableAtTime": "2019-11-11T14:00:12-04:00",
"cameraRole": "leftMirrorMount",
"urlInfo": {
"url": "https://sample.s3.url.com/image.jpeg",
"urlExpiryTime": "2019-11-11T14:00:12-04:00"
}
}
]
}
}